Index: src/ai/batchnorm.c
===================================================================
--- src/ai/batchnorm.c	(revision cba2b12d7365f1e273e22869c68427d3ce0a3c1e)
+++ src/ai/batchnorm.c	(revision be3164d630ca74d2600d38773e360e16bed16703)
@@ -32,6 +32,8 @@
 };
 
+#if defined(DEBUG)
 static void aubio_batchnorm_debug(aubio_batchnorm_t *c,
     aubio_tensor_t *input_tensor);
+#endif
 
 aubio_batchnorm_t *new_aubio_batchnorm(void)
@@ -59,4 +61,5 @@
 }
 
+#if defined(DEBUG)
 void aubio_batchnorm_debug(aubio_batchnorm_t *c, aubio_tensor_t *input_tensor)
 {
@@ -66,4 +69,5 @@
       c->n_outputs, 4 * c->n_outputs);
 }
+#endif
 
 uint_t aubio_batchnorm_get_output_shape(aubio_batchnorm_t *c,
@@ -93,5 +97,7 @@
   }
 
+#if defined(DEBUG)
   aubio_batchnorm_debug(c, input);
+#endif
 
   return AUBIO_OK;
Index: src/ai/conv1d.c
===================================================================
--- src/ai/conv1d.c	(revision cba2b12d7365f1e273e22869c68427d3ce0a3c1e)
+++ src/ai/conv1d.c	(revision be3164d630ca74d2600d38773e360e16bed16703)
@@ -51,6 +51,8 @@
 };
 
+#if defined(DEBUG)
 static
 void aubio_conv1d_debug(aubio_conv1d_t *c, aubio_tensor_t *input_tensor);
+#endif
 
 aubio_conv1d_t *new_aubio_conv1d(uint_t n_filters, uint_t kernel_shape[1])
@@ -176,9 +178,12 @@
   shape[1] = output_shape[1];
 
+#if defined(DEBUG)
   aubio_conv1d_debug(c, input_tensor);
+#endif
 
   return AUBIO_OK;
 }
 
+#if defined(DEBUG)
 void aubio_conv1d_debug(aubio_conv1d_t *c, aubio_tensor_t *input_tensor)
 {
@@ -196,4 +201,5 @@
     -c->padding_start);
 }
+#endif
 
 uint_t aubio_conv1d_check_output_shape(aubio_conv1d_t *c,
Index: src/ai/conv2d.c
===================================================================
--- src/ai/conv2d.c	(revision cba2b12d7365f1e273e22869c68427d3ce0a3c1e)
+++ src/ai/conv2d.c	(revision be3164d630ca74d2600d38773e360e16bed16703)
@@ -50,5 +50,7 @@
 };
 
+#if defined(DEBUG)
 static void aubio_conv2d_debug(aubio_conv2d_t *c, aubio_tensor_t *input_tensor);
+#endif
 
 aubio_conv2d_t *new_aubio_conv2d(uint_t n_filters, uint_t kernel_shape[2])
@@ -203,9 +205,12 @@
 #endif
 
+#if defined(DEBUG)
   aubio_conv2d_debug(c, input_tensor);
+#endif
 
   return AUBIO_OK;
 }
 
+#if defined(DEBUG)
 void aubio_conv2d_debug(aubio_conv2d_t *c, aubio_tensor_t *input_tensor)
 {
@@ -228,4 +233,5 @@
     -c->padding_start[0], -c->padding_start[1]);
 }
+#endif
 
 uint_t aubio_conv2d_check_output_shape(aubio_conv2d_t *c,
Index: src/ai/dense.c
===================================================================
--- src/ai/dense.c	(revision cba2b12d7365f1e273e22869c68427d3ce0a3c1e)
+++ src/ai/dense.c	(revision be3164d630ca74d2600d38773e360e16bed16703)
@@ -53,4 +53,5 @@
 }
 
+#if defined(DEBUG)
 void aubio_dense_debug(aubio_dense_t *c, aubio_tensor_t *input_tensor)
 {
@@ -61,4 +62,5 @@
       c->n_units, c->weights->height, c->weights->length, c->bias->length);
 }
+#endif
 
 uint_t aubio_dense_get_output_shape(aubio_dense_t *c,
@@ -77,5 +79,7 @@
   if (!c->bias) return AUBIO_FAIL;
 
+#if defined(DEBUG)
   aubio_dense_debug(c, input);
+#endif
 
   return AUBIO_OK;
Index: src/ai/maxpool1d.c
===================================================================
--- src/ai/maxpool1d.c	(revision cba2b12d7365f1e273e22869c68427d3ce0a3c1e)
+++ src/ai/maxpool1d.c	(revision be3164d630ca74d2600d38773e360e16bed16703)
@@ -31,6 +31,8 @@
 };
 
+#if defined(DEBUG)
 static void aubio_maxpool1d_debug(aubio_maxpool1d_t *c,
     aubio_tensor_t *input_tensor);
+#endif
 
 aubio_maxpool1d_t *new_aubio_maxpool1d(uint_t pool_size[1])
@@ -56,4 +58,5 @@
 }
 
+#if defined(DEBUG)
 void aubio_maxpool1d_debug(aubio_maxpool1d_t *c, aubio_tensor_t *input_tensor)
 {
@@ -63,4 +66,5 @@
       input_tensor->shape[1], c->pool_size);
 }
+#endif
 
 uint_t aubio_maxpool1d_get_output_shape(aubio_maxpool1d_t *c,
@@ -73,5 +77,7 @@
   shape[1] = input->shape[1];
 
+#if defined(DEBUG)
   aubio_maxpool1d_debug(c, input);
+#endif
 
   return AUBIO_OK;
Index: src/ai/maxpool2d.c
===================================================================
--- src/ai/maxpool2d.c	(revision cba2b12d7365f1e273e22869c68427d3ce0a3c1e)
+++ src/ai/maxpool2d.c	(revision be3164d630ca74d2600d38773e360e16bed16703)
@@ -31,6 +31,8 @@
 };
 
+#if defined(DEBUG)
 static void aubio_maxpool2d_debug(aubio_maxpool2d_t *c,
     aubio_tensor_t *input_tensor);
+#endif
 
 aubio_maxpool2d_t *new_aubio_maxpool2d(uint_t pool_size[2])
@@ -59,4 +61,5 @@
 }
 
+#if defined(DEBUG)
 void aubio_maxpool2d_debug(aubio_maxpool2d_t *c, aubio_tensor_t *input_tensor)
 {
@@ -70,4 +73,5 @@
       c->pool_size[1]);
 }
+#endif
 
 uint_t aubio_maxpool2d_get_output_shape(aubio_maxpool2d_t *c,
@@ -81,5 +85,7 @@
   shape[2] = input->shape[2];
 
+#if defined(DEBUG)
   aubio_maxpool2d_debug(c, input);
+#endif
 
   return AUBIO_OK;
